Method: notebooks.patch

Updates an existing notebook.

HTTP request

PATCH https://notebook.googleapis.com/v1/{notebook.name=notebooks/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
notebook.name

string

Identifier. The resource name of the notebook. Format: notebooks/{notebook} It takes the form notebooks/{notebook}.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update. If omitted, all populated fields will be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Notebook.

Response body

If successful, the response body contains an instance of Notebook.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/notebook

For more information, see the Authentication guide.